Receive Item
Tells Centelar that an item was received at a specific location.
POST /api/v2_2/delivery/item/receive
Request Parameters
| Name | Type | Description |
|---|---|---|
item_id |
integer |
Required. Id of the Delivery Item that’s being received. This parameter can appear multiple times, one for each different item |
location_id |
integer |
Required. Id of the Location where the item was received |
Response Sample
For each item whose state changed, the new and previous delivery states are returned, keyed by item id.
Status: 200 OK
{
"434360355": {
"state": "ready_for_delivery",
"previous_state": "in_transfer"
}
}